/**
 * @file plugin.js
 * CKEditor plugin for the showhide snippet
 */

CKEDITOR.plugins.add('showhide', {
  init: function(editor) {
    var pluginName = 'showhide';
    var insertShowHide = {
      exec:function(editor){
        var theSelectedText = editor.getSelection().getNative();
        editor.insertHtml('<div class="ckshowhide"><div class="ckshowhidetitle">REPLACE WITH TITLE</div><div class="ckshowhidebody"><p>&nbsp;</p><p>REPLACE WITH BODY</p><p>&nbsp;</p></div><div style="clear:both;"></div></div><p> </p>');
      }
    };

    editor.addCss('div.ckshowhide{ background-color: #D3D3D3; margin: 5px; padding: 10px; border: dashed 1px black; }');
    editor.addCss('div.ckshowhidetitle{ background-color: white; padding: 10px; border: dashed 1px black; }');
    editor.addCss('div.ckshowhidebody{ background-color: white; margin-top: 10px; padding: 10px; border: dashed 1px black; }');
    editor.addCommand(pluginName, insertShowHide);
    editor.ui.addButton('ShowHide', {
      label: 'A clickable visible area of text and an invisible area of text which becomes visible when the visible text is clicked.',
      icon: this.path + 'showhide.gif',
      command: pluginName
    });
  }

});
